Page MenuHomePhabricator

Defragment echo_event tables on x1
Closed, ResolvedPublic

Description

After @Catrope ran a purge on x1 T217073: Clean up orphaned echo_event rows again, we need to defragment (or at least evaluate if it is worth it disk-space wise) all those tables across all those wikis.

Progress:

  • codfw (can be done with replication)
  • eqiad
    • dbstore1001
    • dbstore1005
    • db1064
    • db1120
    • db1069 (master)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2019, 6:35 PM
Marostegui triaged this task as Normal priority.Mar 4 2019, 6:35 PM
Marostegui moved this task from Triage to Next on the DBA board.
Marostegui updated the task description. (Show Details)Mar 5 2019, 6:49 AM

Mentioned in SAL (#wikimedia-operations) [2019-03-05T06:55:30Z] <marostegui> Defragment echo_event tables on dbstore1005:3320 T217591

I defragmented dbstore1005, just to see the figures and the wikidatawiki one is spectacular :) :
BEFORE:

-rw-r----- 1 mysql mysql 9.4G Mar  5 06:49 enwiki/echo_event.ibd
-rw-r----- 1 mysql mysql 23G Mar  5 06:44 ./wikidatawiki/echo_event.ibd

AFTER:

-rw-rw---- 1 mysql mysql 3.8G Mar  5 07:16 enwiki/echo_event.ibd
-rw-rw---- 1 mysql mysql 212M Mar  5 07:30 wikidatawiki/echo_event.ibd
Marostegui updated the task description. (Show Details)
Marostegui moved this task from Next to In progress on the DBA board.
Marostegui updated the task description. (Show Details)Mar 5 2019, 8:31 AM

Mentioned in SAL (#wikimedia-operations) [2019-03-05T08:32:57Z] <marostegui> Optimize echo_event table on x1 codfw master (db2034) this will generate lag on x1 codfw - T217591

Marostegui updated the task description. (Show Details)Mar 5 2019, 9:28 AM
Marostegui updated the task description. (Show Details)Mar 5 2019, 11:11 AM

Change 494484 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1064

https://gerrit.wikimedia.org/r/494484

Change 494484 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1064

https://gerrit.wikimedia.org/r/494484

Mentioned in SAL (#wikimedia-operations) [2019-03-05T13:16:46Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Depool db1064 T217591 (duration: 00m 48s)

Marostegui updated the task description. (Show Details)Mar 5 2019, 2:08 PM

Mentioned in SAL (#wikimedia-operations) [2019-03-05T14:12:18Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Repool db1064 T217591 (duration: 01m 50s)

Marostegui closed this task as Resolved.Mar 6 2019, 6:41 AM
Marostegui updated the task description. (Show Details)

This is all done!